/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package de.nplusc.izc.TWPUtil;

import de.nplusc.izc.tools.IOtools.iZformats.IZTile;

/**
 *
 * @author LH
 */
public class TileAttrib
{
    private int topmostOccupier=-1,Width=0,Height=0;
    private boolean isLeftMost=true,isTopmost=true;
    private IZTile occupier=null;

    public int getTopmostOccupier()
    {
        return topmostOccupier;
    }

    public void setTopmostOccupier(int topmostOccupier)
    {
        this.topmostOccupier = topmostOccupier;
    }

    public int getWidth()
    {
        return Width;
    }

    public void setWidth(int Width)
    {
        this.Width = Width;
    }

    public int getHeight()
    {
        return Height;
    }

    public void setHeight(int Height)
    {
        this.Height = Height;
    }

    public boolean isIsLeftMost()
    {
        return isLeftMost;
    }

    public void setIsLeftMost(boolean isLeftMost)
    {
        this.isLeftMost = isLeftMost;
    }

    public boolean isIsTopmost()
    {
        return isTopmost;
    }

    public void setIsTopmost(boolean isTopmost)
    {
        this.isTopmost = isTopmost;
    }

    public IZTile getOccupier()
    {
        return occupier;
    }

    public void setOccupier(IZTile occupier)
    {
        this.occupier = occupier;
    }
    
}
